Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.catalog
Class ENLOCErrorsCatalog

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCErrorsCatalog

All Implemented Interfaces:
  java.io.Serializable

    public class ENLOCErrorsCatalog

extends java.lang.Object
implements java.io.Serializable

Class ENLOCErrorsCatalog.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`ENLOCErrorsCatalog()`

Method Summary
`void` | `addENLOCError(ENLOCError vENLOCError)`
`void` | `addENLOCError(int index, ENLOCError vENLOCError)`
`java.util.Enumeration` | `enumerateENLOCError()` Method enumerateENLOCError.
`ENLOCError[]` | `getENLOCError()` Method getENLOCError.Returns the contents of the collection in an Array.
`ENLOCError` | `getENLOCError(int index)` Method getENLOCError.
`int` | `getENLOCErrorCount()` Method getENLOCErrorCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllENLOCError()`
`boolean` | `removeENLOCError(ENLOCError vENLOCError)` Method removeENLOCError.
`ENLOCError` | `removeENLOCErrorAt(int index)` Method removeENLOCErrorAt.
`void` | `setENLOCError(ENLOCError[] vENLOCErrorArray)`
`void` | `setENLOCError(int index, ENLOCError vENLOCError)`
`static ENLOCErrorsCatalog` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorsCatalog

    public ENLOCErrorsCatalog()

Method Detail

### addENLOCError

    public void addENLOCError(ENLOCError vENLOCError)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vENLOCError` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addENLOCError

    public void addENLOCError(int index,
                              ENLOCError vENLOCError)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCError` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateENLOCError

    public java.util.Enumeration enumerateENLOCError()

  Method enumerateENLOCError.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCError elements

### getENLOCError

    public ENLOCError getENLOCError(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getENLOCError.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCError at the given inde
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getENLOCError

    public ENLOCError[] getENLOCError()

  Method getENLOCError.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getENLOCErrorCount

    public int getENLOCErrorCount()

  Method getENLOCErrorCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllENLOCError

    public void removeAllENLOCError()

### removeENLOCError

    public boolean removeENLOCError(ENLOCError vENLOCError)

  Method removeENLOCError.

  Parameters:
    `vENLOCError` -
  Returns:
    true if the object was removed from the collection.

### removeENLOCErrorAt

    public ENLOCError removeENLOCErrorAt(int index)

  Method removeENLOCErrorAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setENLOCError

    public void setENLOCError(int index,
                              ENLOCError vENLOCError)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCError` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setENLOCError

    public void setENLOCError(ENLOCError[] vENLOCErrorArray)

  Parameters:
    `vENLOCErrorArray` -

### unmarshal

    public static ENLOCErrorsCatalog unmarshal(java.io.Reader reader)
                                        throws org.exolab.castor.xml.MarshalException,
                                               org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.errors.catalog.ENLOCErrorsCatalog
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD